import { CloudApi, TisvcMqtt } from './core';
import * as constants from './libs/apiProvider/tisvc/constants';
export { iotEventType } from './libs/apiProvider/tisvc/constants';
export interface Options {
    appKey?: string;
    apiUrl?: string;
    apiProvider?: any;
    getToken: () => Promise<any>;
}
export interface IToken {
    access_token: string;
    expires_in: number;
    id_token: string;
    refresh_token: string;
    scope: string;
    token_type: string;
}
export declare class TicosIotSdk {
    apiProvider: any;
    appKey: string;
    apiUrl: string;
    cloudApi: CloudApi;
    getToken: () => Promise<IToken>;
    static constants: typeof constants;
    mqtt: TisvcMqtt | undefined;
    constructor({ appKey, apiUrl, apiProvider, getToken, }: Options);
    init(): Promise<void>;
    authorizer(): Promise<void>;
    subscribe(deviceIdList: string[]): Promise<void>;
    isLogin(): Promise<true | undefined>;
    onMessage(eventType: any, callback: any): Promise<void>;
    onStatus(callback: any): Promise<void>;
}
